Groovy 1.7.10

## org.codehaus.groovy.util
[Java] Class AbstractConcurrentMap.Segment

    java.lang.Object
      AbstractConcurrentMapBase.Segment
          org.codehaus.groovy.util.AbstractConcurrentMap.Segment

    public static abstract class AbstractConcurrentMap.Segment
    extends Segment

Constructor Summary
`protected AbstractConcurrentMap.Segment(int initialCapacity)`

Method Summary
`protected Entry` | `createEntry(K key, int hash, V value)`
`V` | `get(K key, int hash)`
`Entry` | `getOrPut(K key, int hash, V value)`
`Entry` | `put(K key, int hash, V value)`
`void` | `remove(K key, int hash)`

Constructor Detail

### AbstractConcurrentMap.Segment

    protected AbstractConcurrentMap.Segment(int initialCapacity)

Method Detail

### createEntry

    protected Entry createEntry(K key, int hash, V value)

### get

    public final V get(K key, int hash)

### getOrPut

    public final Entry getOrPut(K key, int hash, V value)

### put

    public final Entry put(K key, int hash, V value)

### remove

    public void remove(K key, int hash)

Copyright © 2003-2010 The Codehaus. All rights reserved.